/* ************************************************************************** */
/** Descriptive File Name

  @Company
    Company Name

  @File Name
    filename.h

  @Summary
    Brief description of the file.

  @Description
    Describe the purpose of this file.
 */
/* ************************************************************************** */

#ifndef _BME280_H    /* Guard against multiple inclusion */
#define _BME280_H


/* ************************************************************************** */
/* ************************************************************************** */
/* Section: Included Files                                                    */
/* ************************************************************************** */
/* ************************************************************************** */

/* This section lists the other files that are included in this file.
 */

/* TODO:  Include other files here if needed. */


/* Provide C++ Compatibility */
#ifdef __cplusplus
extern "C" {
#endif

    
/*******************************************************
         my defintion and function 
*******************************************************/
#define BME280_ADDRESS 0x76 // 0x76 bit0 is R/W

typedef struct
{
    double  temp;
    double  humi;
    double  press;
} BME280_DATA;

void bme280_init();
void bme280_getData(BME280_DATA* pData);


    /* Provide C++ Compatibility */
#ifdef __cplusplus
}
#endif

#endif /* _BME280_H */

/* *****************************************************************************
 End of File
 */
